libmspub::PatternFill Class Reference

`#include <Fill.h>`

Inheritance diagram for libmspub::PatternFill:

## Public Member Functions

| PatternFill (unsigned imgIndex, const MSPUBCollector *owner, ColorReference fg, ColorReference bg)
void | getProperties (librevenge::RVNGPropertyList *out) const override
Public Member Functions inherited from libmspub::ImgFill
| ImgFill (unsigned imgIndex, const MSPUBCollector *owner, bool isTexture, int rotation)
Public Member Functions inherited from libmspub::Fill
| Fill (const MSPUBCollector *owner)
virtual | ~Fill ()

## Private Member Functions

| PatternFill (const PatternFill &)
PatternFill & | operator= (const ImgFill &)

## Private Attributes

ColorReference | m_fg
ColorReference | m_bg

## Additional Inherited Members

Protected Attributes inherited from libmspub::ImgFill
unsigned | m_imgIndex
int | m_rotation
Protected Attributes inherited from libmspub::Fill
const MSPUBCollector * | m_owner

## Constructor & Destructor Documentation

## PatternFill() [1/2]

libmspub::PatternFill::PatternFill | ( | unsigned | imgIndex,
|  | const MSPUBCollector * | owner,
|  | ColorReference | fg,
|  | ColorReference | bg )

Referenced by operator=(), and PatternFill().

## PatternFill() [2/2]

libmspub::PatternFill::PatternFill | ( | const PatternFill & |  | ) |

inline private

## Member Function Documentation

## getProperties()

void libmspub::PatternFill::getProperties | ( | librevenge::RVNGPropertyList * | out | ) | const

override virtual

Reimplemented from libmspub::ImgFill.

## operator=()

PatternFill & libmspub::PatternFill::operator= | ( | const ImgFill & |  | ) |

private

## Member Data Documentation

## m_bg

ColorReference libmspub::PatternFill::m_bg

private

Referenced by getProperties(), PatternFill(), and PatternFill().

## m_fg

ColorReference libmspub::PatternFill::m_fg

private

Referenced by getProperties(), PatternFill(), and PatternFill().

The documentation for this class was generated from the following files:

- Fill.h
- Fill.cpp